summaryrefslogtreecommitdiff
path: root/common/scripts/kselftest-net.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts/kselftest-net.sh')
-rwxr-xr-xcommon/scripts/kselftest-net.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/common/scripts/kselftest-net.sh b/common/scripts/kselftest-net.sh
new file mode 100755
index 0000000..a19696a
--- /dev/null
+++ b/common/scripts/kselftest-net.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+cd $(dirname $0)
+BASEDIR=$(pwd)
+LAVA_ROOT="${BASEDIR}/../.."
+TEST_DIR="${LAVA_ROOT}/kselftest/net"
+TESTS="socket psock_fanout psock_tpacket"
+
+cd ${TEST_DIR}
+
+if /sbin/modprobe test_bpf; then
+ /sbin/rmmod test_bpf;
+ echo "test_bpf: pass";
+else
+ echo "test_bpf: fail";
+fi
+
+for t in $TESTS
+do
+ echo
+ echo "Running $t";
+ ./$t;
+ [ $? -ne 0 ] && echo "$t: fail" || echo "$t: pass";
+done
+